Creates a new work order type
Request Information
URI Parameters :
None.
Body Parameters :
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
Request Formats :
application/json, text/json
{
"id": "0f41cb29-711e-4328-b124-69460e1e81ba",
"name": "sample string 2",
"sales_organization_id": "18667f7d-b7a1-44e2-a464-f71f7df7aeda",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-28T21:47:57.1148501+00:00",
"code": "sample string 7"
}
Response Information
Resource Description :
IHttpActionResult
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
Response Formats
application/json, text/json
{
"id": "ff7c1286-5dea-4da9-a374-af008030363d",
"name": "sample string 2",
"sales_organization_id": "8b88d8bf-3aef-4388-85a4-3f569a1b343b",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-28T21:47:57.1148501+00:00",
"code": "sample string 7"
}